Class | Amalgalite::Index
In: | lib/amalgalite/index.rb lib/amalgalite/index.rb
Parent: | Object

a class representing the meta information about an SQLite index

### Methods

new new unique? unique?

### Attributes

columns | [RW] | the columns that make up this index, in index order
columns | [RW] | the columns that make up this index, in index order
name | [R] | the name of the index
name | [R] | the name of the index
sequence_number | [RW] | sqlite sequence number of the index
sequence_number | [RW] | sqlite sequence number of the index
sql | [R] | the sql statement that created the index
sql | [R] | the sql statement that created the index
table | [RW] | the table the index is for
table | [RW] | the table the index is for
unique | [W] | is the index unique
unique | [W] | is the index unique

### Public Class methods

new( name, sql, table )
new( name, sql, table )

### Public Instance methods

unique?()
unique?()

[Validate]